Bug 887282 - admin@internal is not able to see ISO images in User Portal
admin@internal is not able to see ISO images in User Portal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity unspecified
: ---
: 3.2.0
Assigned To: Roy Golan
Jiri Belka
virt
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-14 09:37 EST by Petr Spacek
Modified: 2013-06-11 05:54 EDT (History)
9 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10379 None None None Never

  None (edit)
Description Petr Spacek 2012-12-14 09:37:56 EST
Description of problem:
Built-in user admin@internal is not able to see ISO images in User portal.
Admin@internal is able to see all ISOs in storage domain and even create new VM and attach the ISO to it, but it works only in Admin portal.

In User portal "selection box" for ISO image selection (in new VM dialog) is empty.

Version-Release number of selected component (if applicable):
rhevm-3.1.0-32.el6ev.noarch

How reproducible:
100 %

Steps to Reproduce:
1. upload some ISO to ISO storage domain
2. log in to user portal as admin@internal
3. open new VM dialog
4. try to attach uploaded ISO to the VM
  
Actual results:
No ISOs are available to admin@internal.

Expected results:
All ISOs are available to admin@internal.

Additional info:
Comment 2 Roy Golan 2012-12-16 06:43:24 EST
as a workaround an admin can attach UserRole on the System

in webamdin:

Configure -> System Permissions -> Add -> search and choose admin user -> confirm dialog


ISOs should be visible in User Portal now.
Comment 4 Roy Golan 2012-12-26 04:01:11 EST
adding specific userRole on SYSTEM for admin@internal assuming the use-case is for all-in-one setups using admin@internal and not a general case for super users.
Comment 5 Jiri Belka 2013-01-21 09:00:43 EST
OK, sf3, admin@internal can see ISOs in UP.
Comment 6 Itamar Heim 2013-06-11 05:42:59 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:43:08 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:54:45 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.